@charset "utf-8";

/* ====================
Contact
==================== */
.article__header--contact {
    background-image: url(../images/common/section_contact.jpg);
}

.contact {
    padding: var(--sectionPadding) var(--contentPadding) 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(30px, 3.47vw, 50px);
}

.contact__txt {
    font-size: 1.4rem;
}

.contact__txt span {
    font-size: 1.2rem;
    display: block;
    margin-top: 10px;
}

.contact__sns {
    display: flex;
    justify-content: center;
    gap: 30px;
}

.form {
    padding: var(--sectionPadding) var(--contentPadding);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(30px, 3.47vw, 50px);
}

.form__parts {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.form__category {
    font-size: 1.4rem;
}

.form__category span {
    margin-left: clamp(5px, 0.69vw, 10px);
    color: var(--color-red);
    font-size: clamp(1.4rem, 1.11, 1.6rem);
}

.form__input {
    padding: clamp(10px, 1.38vw, 20px);
    background-color: var(--color-gray);
    border: 0.5px solid var(--color-black);
    border-radius: 5px;
}

.form__input--textArea {
    height: 146px;
}

.required {
    width: 100%;
    height: 100%;
    font-size: 1.4rem;
    outline: none;
    resize: none;
}

.required::placeholder {
    color: rgb(87 76 62 / 0.5);
}

.form__input.error {
    border: 1px solid var(--color-red);
}

.form__error, .email__error {
    display: none;
    color: var(--color-red);
    font-size: 1.4rem;
}

.form__error.active, .email__error.active {
    display: block;
}

.submitBtn {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(5px, 0.69vw, 10px);
    padding: clamp(5px, 1.38vw, 10px) 0;
    width: clamp(80px, 11.1vw, 160px);
    border: 1px solid var(--color-black);
    transition: background-color 0.4s;
}

.submitBtn__icon {
    width: clamp(12px, 1.38vw, 20px);
    height: clamp(12px, 1.38vw, 20px);
    object-fit: contain;
}

.submitBtn__txt {
    font-family: var(--sub-font-en);
    font-size: clamp(1.2rem, 1.25vw, 1.8rem);
    line-height: 1.0;
}

/* Contact pc */
@media screen and (min-width: 769px) {
    .contact {
        width: 100%;
        max-width: 1260px;
        margin: 0 auto;
    }
    
    .form {
        width: 100%;
        max-width: 1260px;
        margin: 0 auto;
    }

    .form__parts {
        flex-direction: row;
        justify-content: space-between;
    }
    
    .form__group {
        width: 63.6%;
        max-width: 700px;
    }
    
    .form__input--textArea {
        height: 187px;
    }

    .submitBtn:hover {
        background-color: var(--color-brown);
    }
}/* pc 769px */